Summary: LPRng Print Spooler for UNIX and NT
Name: LPRng
Version: 3.6.26
Release: 4tr
License: GPL
Group: Network/Services
Source: ftp://ftp.astart.com/pub/LPRng/LPRng/%{name}-%{version}.tgz
Source1: LPRng.init
URL: http://www.astart.com/LPRng.html
Buildrequires: perl
Buildroot: /var/tmp/%{name}-root
PreReq: chkconfig tsl-utils

%description
The LPRng software is an enhanced, extended, and portable implementation
of the Berkeley LPR print spooler functionality. While providing the
same interface and meeting RFC1179 requirements, the implementation
is completely new and provides support for the following features:
lightweight (no databases needed) lpr, lpc, and lprm programs; dynamic
redirection of print queues; automatic job holding; highly verbose
diagnostics; multiple printers serving a single queue; client programs
do not need to run SUID root; greatly enhanced security checks; and a
greatly improved permission and authorization mechanism.

The source software compiles and runs on a wide variety of UNIX systems,
and is compatible with other print spoolers and network printers that
use the LPR interface and meet RFC1179 requirements.  LPRng provides
emulation packages for the SVR4 lp and lpstat programs, eliminating the
need for another print spooler package. These emulation packages can be
modified according to local requirements, in order to support vintage
printing systems.  An NT version is also available.

For users that require secure and/or authenticated printing support,
LPRng supports Kerberos V, MIT Kerberos IV Print Support, and PGP
authentication.  LPRng is being adopted by MIT for use as their Campus
Wide printing support system. Additional authentication support is
extremely simple to add.  LPRng is Open Source Software, and the current
public distribution is available from the listed FTP and Web Sites.

%prep

%setup

%build
CFLAGS=$RPM_OPT_FLAGS  ./configure \
	--prefix=%{_prefix} \
	--sysconfdir=/etc \
	--mandir='${prefix}/share/man' \
	--with-filterdir='${prefix}/libexec/filters' \
	--with-ld_library_path=/lib:/usr/lib:/usr/local/lib \
	--with-filter_path=/bin:/usr/bin:/usr/libexec:/usr/local/libexec:/usr/sbin:/var/spool/bin 
make 

%install

rm -rf $RPM_BUILD_ROOT

# Nuke a problem
rm HOWTO/updateversion

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc


# Compress the man pages
# Think rpm do this for us.
#gzip -9f $RPM_BUILD_ROOT/%{_prefix}/share/man/*/*

# init script
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/lpd
cd $RPM_BUILD_ROOT/etc/rc.d/init.d/
ln -s lpd lprng
cd -
# And sample config files
install -m 644 lpd.perms $RPM_BUILD_ROOT/etc/lpd.perms.sample
install -m 644 lpd.conf $RPM_BUILD_ROOT/etc/lpd.conf.sample
install -m 644 printcap $RPM_BUILD_ROOT/etc/printcap.sample

%pre
if test -x /etc/rc.d/init.d/lpd
  then /etc/rc.d/init.d/lpd stop 1>/dev/null 2>&1
fi

%post
# Create correct symlinks.
/sbin/chkconfig --add lpd
# Restart service after upgrade.
/sbin/restart_maybe lpd

%preun
if test "$1" = 0
then
  if test -x /etc/rc.d/init.d/lpd
  then
    /etc/rc.d/init.d/lpd stop 1>/dev/null 2>&1
  fi
  /sbin/chkconfig --del lpd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL LICENSE ABOUT-NLS.LPRng CHANGES CONTRIBUTORS README Y2KCompliance HOWTO/*
/etc/rc.d/init.d/lpd
/etc/rc.d/init.d/lprng
/etc/lpd.perms.sample
/etc/lpd.conf.sample
/etc/printcap.sample
/usr/bin/lp
/usr/bin/cancel
/usr/bin/lpq
/usr/bin/lprm
/usr/bin/lpr
/usr/bin/lpstat
/usr/sbin/lpc
/usr/sbin/lpd
/usr/sbin/checkpc
/usr/sbin/lpraccnt
/usr/libexec/filters/lpbanner
/usr/libexec/filters/lpf
/usr/libexec/filters/pclbanner
/usr/libexec/filters/psbanner
/usr/share/man/man1/*.gz
/usr/share/man/man5/*.gz
/usr/share/man/man8/*.gz

%changelog
* Mon Jan 14 2002 Christian H. Toldnes <christht@trustix.com>
- Changed some dependencies issues.
- General spec-file cleanup.

* Thu Jan  3 2002 Christian H. Toldnes <christht@trustix.com>
- Correct chkconfig usage.

* Tue Jul 17 2001 Erlend Midttun <erlendbm@trustix.com>
- Inc serial number before release.

* Thu Nov 16 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to 3.6.26.

* Wed Oct  4 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to 3.6.24
- Fixed a few syslog holes as discovered by Chris Evans.

* Thu Feb 24 2000 Per Ivar Paulsen <perp@trustix.com>
- Added 3.6.13.

* Thu Feb 24 2000 Per Ivar Paulsen <perp@trustix.com>
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS

* Mon Sep 13 1999 Patrick Powell <papowell@astart.com>
  - resolved problems with symbolic links to /etc/init.d
    files - used the chkconfig facility
* Sat Sep  4 1999 Patrick Powell <papowell@astart.com>
  - did ugly things to put the script in the spec file
* Sat Aug 28 1999 Giulio Orsero <giulioo@tiscalinet.it>
  - 3.6.8
* Fri Aug 27 1999 Giulio Orsero <giulioo@tiscalinet.it>
  - 3.6.7 First RPM build.
